umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Enumerations | Functions
widget_utils.cpp File Reference
`#include "widget_utils.h"`
`#include "debug_utils.h"`
`#include "objectwidget.h"`
`#include "messagewidget.h"`
`#include "umlwidget.h"`
`#include "uml.h"`
`#include <KLocalizedString>`
`#include <QBuffer>`
`#include <QImageReader>`
`#include <QGraphicsItem>`
`#include <QGraphicsRectItem>`
`#include <QPolygonF>`
`#include <QXmlStreamWriter>`
`#include <cmath>`

## Namespaces
namespace | Widget_Utils

## Macros
#define | DBG_SRC QStringLiteral("Widget_Utils")

## Enumerations
enum | Widget_Utils::Axis_Type { Widget_Utils::X , Widget_Utils::Y }
enum | Widget_Utils::Comparison_Type { Widget_Utils::Smallest , Widget_Utils::Largest }

## Functions
UMLWidget * | Widget_Utils::findWidget (Uml::ID::Type id, const UMLWidgetList &widgets, const MessageWidgetList *messages)
QGraphicsRectItem * | Widget_Utils::decoratePoint (const QPointF &p, QGraphicsItem *parent)
void | Widget_Utils::drawCrossInEllipse (QPainter *p, const QRectF &r)
void | Widget_Utils::drawTriangledRect (QPainter *painter, const QRectF &rect, const QSizeF &triSize)
QString | Widget_Utils::pointToString (const QPointF &point)
QPointF | Widget_Utils::stringToPoint (const QString &str)
bool | Widget_Utils::loadPixmapFromXMI (QDomElement &pixEle, QPixmap &pixmap)
void | Widget_Utils::savePixmapToXMI (QXmlStreamWriter &stream, const QPixmap &pixmap)
bool | Widget_Utils::loadGradientFromXMI (QDomElement &gradientElement, QGradient *&gradient)
void | Widget_Utils::saveGradientToXMI (QXmlStreamWriter &stream, const QGradient *gradient)
bool | Widget_Utils::loadBrushFromXMI (QDomElement &qElement, QBrush &brush)
void | Widget_Utils::saveBrushToXMI (QXmlStreamWriter &stream, const QBrush &brush)
bool | Widget_Utils::hasSmallerX (const UMLWidget *widget1, const UMLWidget *widget2)
bool | Widget_Utils::hasSmallerY (const UMLWidget *widget1, const UMLWidget *widget2)
Uml::Region::Enum | Widget_Utils::findRegion (const QRectF &self, const QRectF &other)
QPointF | Widget_Utils::prevPoint (int index, const QPolygonF &poly)
QPointF | Widget_Utils::nextPoint (int index, const QPolygonF &poly)
qreal | Widget_Utils::middle (qreal a, qreal b)
QLineF | Widget_Utils::findLine (const QPolygonF &poly, Axis_Type axis, Comparison_Type seek, const QRectF &boundingRect)
QLineF | Widget_Utils::closestPoints (const QPolygonF &self, const QPolygonF &other)
QString | Widget_Utils::defaultWidgetName (WidgetBase::WidgetType type)
QString | Widget_Utils::newTitle (WidgetBase::WidgetType type)
QString | Widget_Utils::newText (WidgetBase::WidgetType type)
QString | Widget_Utils::renameTitle (WidgetBase::WidgetType type)
QString | Widget_Utils::renameText (WidgetBase::WidgetType type)
void | Widget_Utils::ensureNestedVisible (UMLWidget *self, UMLWidgetList widgetList)
QString | Widget_Utils::adornStereo (QString name, bool appendSpace)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Widget_Utils")